RK-J - Bug #2190

Unable to generate the 'Top Traffic' report from the GUI on production.
03/16/2022 01:23 PM - Ayush Khandelwal

Status: Closed Start date: 03/16/2022
Priority: High Due date: 10/14/2022
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 3.00 hours
Target version: 1-RK-J-1 Spent time: 2.00 hours
Description

Why "Drive outputs folder is not present: null" coming during top traffic generation on prod from GUI?

Error Logs (top traffic from prod GUI for 2022-03-01):
https://console.cloud.google.com/logs/viewer?project=rapidken-production&minLoglLevel=0&expandAll=false&timestamp=2022-03-0
3T06%3A13%3A24.417000000Z&customFacets&limitCustomFacetWidth=true&dateRangeStart=2022-03-03T05%3A13%3A24.671Z
&dateRangeEnd=2022-03-03T06%3A13%3A24.671Z&interval=PT1H&resource=gae_app&logName=projects%2Frapidken-producti
on%2Flogs%2F stdout&logName=projects%2Frapidken-production%2Flogs%2F stderr&logName=projects%2Frapidken-production%
2Flogs%2Fappengine.googleapis.com%252Frequest_log&scrollTimestamp=2022-03-03T06%3A07%3A54.232850000Z&advancedF
ilter=resource.type%3D%22gae_app%22%0Aresource.labels.zone%3D%22us-east4-3%22%0Aresource.labels.project_id%3D%22r
apidken-production%22%0Aresource.labels.version_id%3D%2220220224t173311%22%0Aresource.labels.module_id%3D%22defa
ult%22%0Atimestamp%3D%222022-03-03T06%3A07%3A54.232850000Z2%22%0Ainsertld%3D%2262205b3b000a02b0ae9e5af4%
22

Related issues:
Related to Support #1622: Add 'Reports -> Top traffic' Closed 09/09/2021

History

#1 - 03/16/2022 01:44 PM - Venmuhilan B

- Status changed from New to In Progress

#2 - 03/16/2022 01:57 PM - Venmuhilan B

The response for the request Url:

"files": [ {

"kind": "driveifile",

"id": "1Ub4roUaaO4W9R8Tba0zFE5AsSZ-wBzvq",
"name": "Prod",

"mimeType": "application/vnd.google-apps.folder"
boA

"kind": "drive#file",

"id": "1wgGhfGFM8fDaXI162xpje8MoMhA6Wq_Ld",
"name": "prod",

"mimeType": "application/vnd.google-apps.folder"
1
"kind": "drivei#file",

"id": "1SzmNJviLic3al-1dwmZbWJexvFfk4AcQ",
"name": "Prod",

"mimeType": "application/vnd.google-apps.folder"
}

]

}

There are three folders data present in the response. In the response, it is supposed to have only one folder.But here it had fetched 3 folders. So we
are returning the first drive file object (i-e)in the response to ReportGenerationAPl, it is returning the object which is having "id":
"1Ub4roUaaO4W9R8Tba0zFE5AsSZ-wBzvq","name": "Prod"

But there is no folder named "Prod" in this https:/drive. le.com/drive/folders/1Zi7¢cD hX6ZaW1h7tLI6pkeYfzh6F . It didn't have an outputs
folder. So the drive file object becomes null and showed a null pointer exception.

The second drive file object("id": "1wgGhfGFM8fDaX162xpje8MoMhA6Wq_Ld", "name": "prod") is the one which is present in the
https://drive.google.com/drive/folders/1Zi7cD085GyhX6ZaW1h7tLI6pkeYfzh6F.

fix - Iterate over the files array until we found the drive object which has the outputs folder
https://console.cloud.google.com/logs/viewer?project=rapidken-production&minLogLevel=0&expandAll=false&timestamp=2022-03-03T06%3A13%3A24.417000000Z&customFacets&limitCustomFacetWidth=true&dateRangeStart=2022-03-03T05%3A13%3A24.671Z&dateRangeEnd=2022-03-03T06%3A13%3A24.671Z&interval=PT1H&resource=gae_app&logName=projects%2Frapidken-production%2Flogs%2Fstdout&logName=projects%2Frapidken-production%2Flogs%2Fstderr&logName=projects%2Frapidken-production%2Flogs%2Fappengine.googleapis.com%252Frequest_log&scrollTimestamp=2022-03-03T06%3A07%3A54.232850000Z&advancedFilter=resource.type%3D%22gae_app%22%0Aresource.labels.zone%3D%22us-east4-3%22%0Aresource.labels.project_id%3D%22rapidken-production%22%0Aresource.labels.version_id%3D%2220220224t173311%22%0Aresource.labels.module_id%3D%22default%22%0Atimestamp%3D%222022-03-03T06%3A07%3A54.232850000Z%22%0AinsertId%3D%2262205b3b000a02b0ae9e5af4%22
https://console.cloud.google.com/logs/viewer?project=rapidken-production&minLogLevel=0&expandAll=false&timestamp=2022-03-03T06%3A13%3A24.417000000Z&customFacets&limitCustomFacetWidth=true&dateRangeStart=2022-03-03T05%3A13%3A24.671Z&dateRangeEnd=2022-03-03T06%3A13%3A24.671Z&interval=PT1H&resource=gae_app&logName=projects%2Frapidken-production%2Flogs%2Fstdout&logName=projects%2Frapidken-production%2Flogs%2Fstderr&logName=projects%2Frapidken-production%2Flogs%2Fappengine.googleapis.com%252Frequest_log&scrollTimestamp=2022-03-03T06%3A07%3A54.232850000Z&advancedFilter=resource.type%3D%22gae_app%22%0Aresource.labels.zone%3D%22us-east4-3%22%0Aresource.labels.project_id%3D%22rapidken-production%22%0Aresource.labels.version_id%3D%2220220224t173311%22%0Aresource.labels.module_id%3D%22default%22%0Atimestamp%3D%222022-03-03T06%3A07%3A54.232850000Z%22%0AinsertId%3D%2262205b3b000a02b0ae9e5af4%22
https://console.cloud.google.com/logs/viewer?project=rapidken-production&minLogLevel=0&expandAll=false&timestamp=2022-03-03T06%3A13%3A24.417000000Z&customFacets&limitCustomFacetWidth=true&dateRangeStart=2022-03-03T05%3A13%3A24.671Z&dateRangeEnd=2022-03-03T06%3A13%3A24.671Z&interval=PT1H&resource=gae_app&logName=projects%2Frapidken-production%2Flogs%2Fstdout&logName=projects%2Frapidken-production%2Flogs%2Fstderr&logName=projects%2Frapidken-production%2Flogs%2Fappengine.googleapis.com%252Frequest_log&scrollTimestamp=2022-03-03T06%3A07%3A54.232850000Z&advancedFilter=resource.type%3D%22gae_app%22%0Aresource.labels.zone%3D%22us-east4-3%22%0Aresource.labels.project_id%3D%22rapidken-production%22%0Aresource.labels.version_id%3D%2220220224t173311%22%0Aresource.labels.module_id%3D%22default%22%0Atimestamp%3D%222022-03-03T06%3A07%3A54.232850000Z%22%0AinsertId%3D%2262205b3b000a02b0ae9e5af4%22
https://console.cloud.google.com/logs/viewer?project=rapidken-production&minLogLevel=0&expandAll=false&timestamp=2022-03-03T06%3A13%3A24.417000000Z&customFacets&limitCustomFacetWidth=true&dateRangeStart=2022-03-03T05%3A13%3A24.671Z&dateRangeEnd=2022-03-03T06%3A13%3A24.671Z&interval=PT1H&resource=gae_app&logName=projects%2Frapidken-production%2Flogs%2Fstdout&logName=projects%2Frapidken-production%2Flogs%2Fstderr&logName=projects%2Frapidken-production%2Flogs%2Fappengine.googleapis.com%252Frequest_log&scrollTimestamp=2022-03-03T06%3A07%3A54.232850000Z&advancedFilter=resource.type%3D%22gae_app%22%0Aresource.labels.zone%3D%22us-east4-3%22%0Aresource.labels.project_id%3D%22rapidken-production%22%0Aresource.labels.version_id%3D%2220220224t173311%22%0Aresource.labels.module_id%3D%22default%22%0Atimestamp%3D%222022-03-03T06%3A07%3A54.232850000Z%22%0AinsertId%3D%2262205b3b000a02b0ae9e5af4%22
https://console.cloud.google.com/logs/viewer?project=rapidken-production&minLogLevel=0&expandAll=false&timestamp=2022-03-03T06%3A13%3A24.417000000Z&customFacets&limitCustomFacetWidth=true&dateRangeStart=2022-03-03T05%3A13%3A24.671Z&dateRangeEnd=2022-03-03T06%3A13%3A24.671Z&interval=PT1H&resource=gae_app&logName=projects%2Frapidken-production%2Flogs%2Fstdout&logName=projects%2Frapidken-production%2Flogs%2Fstderr&logName=projects%2Frapidken-production%2Flogs%2Fappengine.googleapis.com%252Frequest_log&scrollTimestamp=2022-03-03T06%3A07%3A54.232850000Z&advancedFilter=resource.type%3D%22gae_app%22%0Aresource.labels.zone%3D%22us-east4-3%22%0Aresource.labels.project_id%3D%22rapidken-production%22%0Aresource.labels.version_id%3D%2220220224t173311%22%0Aresource.labels.module_id%3D%22default%22%0Atimestamp%3D%222022-03-03T06%3A07%3A54.232850000Z%22%0AinsertId%3D%2262205b3b000a02b0ae9e5af4%22
https://console.cloud.google.com/logs/viewer?project=rapidken-production&minLogLevel=0&expandAll=false&timestamp=2022-03-03T06%3A13%3A24.417000000Z&customFacets&limitCustomFacetWidth=true&dateRangeStart=2022-03-03T05%3A13%3A24.671Z&dateRangeEnd=2022-03-03T06%3A13%3A24.671Z&interval=PT1H&resource=gae_app&logName=projects%2Frapidken-production%2Flogs%2Fstdout&logName=projects%2Frapidken-production%2Flogs%2Fstderr&logName=projects%2Frapidken-production%2Flogs%2Fappengine.googleapis.com%252Frequest_log&scrollTimestamp=2022-03-03T06%3A07%3A54.232850000Z&advancedFilter=resource.type%3D%22gae_app%22%0Aresource.labels.zone%3D%22us-east4-3%22%0Aresource.labels.project_id%3D%22rapidken-production%22%0Aresource.labels.version_id%3D%2220220224t173311%22%0Aresource.labels.module_id%3D%22default%22%0Atimestamp%3D%222022-03-03T06%3A07%3A54.232850000Z%22%0AinsertId%3D%2262205b3b000a02b0ae9e5af4%22
https://console.cloud.google.com/logs/viewer?project=rapidken-production&minLogLevel=0&expandAll=false&timestamp=2022-03-03T06%3A13%3A24.417000000Z&customFacets&limitCustomFacetWidth=true&dateRangeStart=2022-03-03T05%3A13%3A24.671Z&dateRangeEnd=2022-03-03T06%3A13%3A24.671Z&interval=PT1H&resource=gae_app&logName=projects%2Frapidken-production%2Flogs%2Fstdout&logName=projects%2Frapidken-production%2Flogs%2Fstderr&logName=projects%2Frapidken-production%2Flogs%2Fappengine.googleapis.com%252Frequest_log&scrollTimestamp=2022-03-03T06%3A07%3A54.232850000Z&advancedFilter=resource.type%3D%22gae_app%22%0Aresource.labels.zone%3D%22us-east4-3%22%0Aresource.labels.project_id%3D%22rapidken-production%22%0Aresource.labels.version_id%3D%2220220224t173311%22%0Aresource.labels.module_id%3D%22default%22%0Atimestamp%3D%222022-03-03T06%3A07%3A54.232850000Z%22%0AinsertId%3D%2262205b3b000a02b0ae9e5af4%22
https://console.cloud.google.com/logs/viewer?project=rapidken-production&minLogLevel=0&expandAll=false&timestamp=2022-03-03T06%3A13%3A24.417000000Z&customFacets&limitCustomFacetWidth=true&dateRangeStart=2022-03-03T05%3A13%3A24.671Z&dateRangeEnd=2022-03-03T06%3A13%3A24.671Z&interval=PT1H&resource=gae_app&logName=projects%2Frapidken-production%2Flogs%2Fstdout&logName=projects%2Frapidken-production%2Flogs%2Fstderr&logName=projects%2Frapidken-production%2Flogs%2Fappengine.googleapis.com%252Frequest_log&scrollTimestamp=2022-03-03T06%3A07%3A54.232850000Z&advancedFilter=resource.type%3D%22gae_app%22%0Aresource.labels.zone%3D%22us-east4-3%22%0Aresource.labels.project_id%3D%22rapidken-production%22%0Aresource.labels.version_id%3D%2220220224t173311%22%0Aresource.labels.module_id%3D%22default%22%0Atimestamp%3D%222022-03-03T06%3A07%3A54.232850000Z%22%0AinsertId%3D%2262205b3b000a02b0ae9e5af4%22
https://console.cloud.google.com/logs/viewer?project=rapidken-production&minLogLevel=0&expandAll=false&timestamp=2022-03-03T06%3A13%3A24.417000000Z&customFacets&limitCustomFacetWidth=true&dateRangeStart=2022-03-03T05%3A13%3A24.671Z&dateRangeEnd=2022-03-03T06%3A13%3A24.671Z&interval=PT1H&resource=gae_app&logName=projects%2Frapidken-production%2Flogs%2Fstdout&logName=projects%2Frapidken-production%2Flogs%2Fstderr&logName=projects%2Frapidken-production%2Flogs%2Fappengine.googleapis.com%252Frequest_log&scrollTimestamp=2022-03-03T06%3A07%3A54.232850000Z&advancedFilter=resource.type%3D%22gae_app%22%0Aresource.labels.zone%3D%22us-east4-3%22%0Aresource.labels.project_id%3D%22rapidken-production%22%0Aresource.labels.version_id%3D%2220220224t173311%22%0Aresource.labels.module_id%3D%22default%22%0Atimestamp%3D%222022-03-03T06%3A07%3A54.232850000Z%22%0AinsertId%3D%2262205b3b000a02b0ae9e5af4%22
https://drive.google.com/drive/folders/1Zi7cD085GyhX6ZaW1h7tLl6pkeYfzh6F
https://drive.google.com/drive/folders/1Zi7cD085GyhX6ZaW1h7tLl6pkeYfzh6F

#3 - 03/16/2022 01:57 PM - Venmuhilan B

- Status changed from In Progress to Resolved

#4 - 03/16/2022 01:58 PM - Venmuhilan B
- % Done changed from 0 to 100

#5 - 08/01/2022 06:46 AM - Ram Kordale
- Priority changed from Urgent to High

#6 - 10/12/2022 06:15 AM - Ayush Khandelwal

- Due date changed from 03/16/2022 to 10/14/2022
- Status changed from Resolved to Reopened

- % Done changed from 100 to 0

- Estimated time changed from 2.00 h to 3.00 h

#7 - 10/12/2022 06:16 AM - Ayush Khandelwal
- Parent task deleted (#1622)

#8 - 10/12/2022 06:16 AM - Ayush Khandelwal
- Related to Support #1622: Add 'Reports -> Top traffic' added

#9 - 10/13/2022 07:22 AM - Venmuhilan B

- Status changed from Reopened to In Progress

#10 - 10/13/2022 07:43 AM - Venmuhilan B

Issue:
java.lang.ArraylndexOutOfBoundsException occured at processMessage() method in ReadJsonPayloadLogs class.

The error occurred at line 87 where we put a key( like url, userAgent, ..) and their value into the map. we are splitting the string by ":" (i-e
"url:/learn/python3-docs"). | think the value part is not present for some key. It showed Array Index Out of Bounds Exception while accessing that
index.

For the String accept-language: it only the have the key and don't have the value.
After the String is splitted, Array only have one element(pair®) and we are trying to access the value part(pair') which is not present in the array.
This lead to java.lang.ArrayIndexOutOfBoundsException.

Fix:

we can add the condition to access the pair only if the array length is 2.

#11 - 10/13/2022 07:44 AM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#12 - 10/21/2022 08:09 AM - Venmuhilan B
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#13 - 10/21/2022 04:08 PM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale
Working as expected

#14 - 03/02/2023 06:38 AM - Ram Kordale
- Status changed from Feedback to Closed
